#
# spec file for package python-termstyle
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define oldpython python
Name:           python-termstyle
Version:        0.1.11
Release:        8.1
Summary:        Console colouring for Python
License:        BSD-3-Clause
URL:            https://github.com/gfxmonk/termstyle
Source:         https://files.pythonhosted.org/packages/source/t/termstyle/termstyle-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-setuptools
BuildArch:      noarch
%ifpython2
Obsoletes:      %{oldpython}-python-termstyle < %{version}
Provides:       %{oldpython}-python-termstyle = %{version}
%endif
Provides:       python-python-termstyle = %{version}
Obsoletes:      python-python-termstyle < %{version}
%python_subpackages

%description
termstyle is a Python library for adding coloured output to
terminal (console) programs.  The definitions come from ECMA-048, the
"Control Functions for Coded Character Sets" standard.

%prep
%setup -q -n termstyle-%{version}
sed -i '1s/^#!.*//' termstyle.py

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=C.UTF-8
PYTHONPATH=. %python_exec -c 'from termstyle import *; print(green("unicod\xe9!"))'

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/termstyle.py
%pycache_only %{python_sitelib}/__pycache__/termstyle.*.pyc
%{python_sitelib}/termstyle-%{version}.dist-info

%changelog
* Wed Jun  4 2025 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
- No more greedy globs in %%files.
* Tue Feb  9 2021 Markéta Machová <mmachova@suse.com>
- Get rid of %%ifpython3
- Launch some tests
* Fri Oct 18 2019 Sebastian Wagner <sebix+novell.com@sebix.at>
- Re-add License, required in Factory.
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sat Dec  2 2017 sebix+novell.com@sebix.at
- deactivated broken tests
- install license file as license
* Sat May  6 2017 toddrme2178@gmail.com
- Fix Provides/Obsoletes.
* Wed Apr 12 2017 toddrme2178@gmail.com
- Implement single-spec version.
* Mon Apr  3 2017 jengelh@inai.de
- Minor typographical update to descriptions.
* Mon Mar 27 2017 toddrme2178@gmail.com
- Provide/obsolete old package name
- setuptools is not needed at runtime
* Fri Mar 17 2017 tbechtold@suse.com
- Initial packaging (version 0.1.11)
